Page MenuHomePhabricator

Transfer Nigeria's monument list to Wikipedia
Closed, ResolvedPublic

Description

  • Decide on how to assign a unique ID to each monument
  • Assign IDs to the monuments
  • Create a template
  • Transfer the data

Here is their list of monuments in a spreadsheet:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2016, 3:25 PM

https://en.wikipedia.org/wiki/National_Commission_for_Museums_and_Monuments

The above link is the full list of the 65 declared monuments in Nigeria. However, we are focusing on the earlier list sent to you. which is a subset of this new list.

Thanks @Ozone73. Per our offline discussion, please send share with us a spreadsheet with monumentName, city, state information based on the 65 declared monument list.

@Lokal_Profil Nigeria has a list of 65 monuments and they are confirmed to have no official IDs. There are two ways for us to proceed: 1) we can create IDs using https://en.wikipedia.org/wiki/ISO_3166-2:NG, 2) we can use the Wikidata item id as the unique monument ID. Do you have a recommendation/preference?

LilyOfTheWest updated the task description. (Show Details)
LilyOfTheWest moved this task from Backlog to Next Up on the Wiki-Loves-Monuments (2016) board.

@Lokal_Profil We are going to proceed with the Wikidata Q IDs as the unique ID for Nigeria's monuments. If we need to reconsider this, please let me know.

@Magnus Do you have a recommendation for a non-manual approach for looking up the Q IDs of Nigeria's monuments listed in F4316157? Me thinks WDQS? Also, if some of them don't exist in Wikidata, what's the fastest way to create them? :)

Although this list is small and we can do things manually, I'm using this as an example for us to come up with approaches that can scale better. :)

For large-scale imports, where many entries are likely to exist, I would recommend either Mix'n'match or a special tool/one-time operation, maybe stringent auto-matching followed by mass item creation, as I did for WLM UK in 2014. In these cases, I also recommend a bespoke property, even if it is made up on the spot, because other tools and mechanisms, such as my own work on that premise.

For this instance, I believe it would be fastest to just search them by hand, write down the Q numbers you find, then create the rest with QuickStatements, and make them "instance of":"Nigerian monument". Those can then be listed via SPARQL (WDQS).

Thanks, Magnus. :) We will do the latter then.

@Ozone73 are you familiar with Wikidata to do the following?

  1. Search in Wikidata for the name of each monument you have in your list and find its corresponding Q ID in Wikidata, if it exists. Enter that Q-number in S/n column of the spreadsheet. For example, for Gobarau Minaret this number will be Q5575409, so you will replace 30 in the spreadsheet with Q5575409. While you are in the Wikidata entry, make sure it is "instance of":"Nigerian monument". If it's not, please add that property on Wikidata.
  1. For all monuments that don't have a Wikidata entry, create the Wikidata entry and make them "instance of":"Nigerian monument".

If you don't feel comfortable doing this, let us know here. We will help you do it.

LilyOfTheWest reassigned this task from Romaine to Ozone73.Aug 3 2016, 3:56 AM

Thank you all for the contributions and support. I have used wikidata in the past. I will work around the task and get back to you ASAP. Thanks.

@Lokal_Profil We are going to proceed with the Wikidata Q IDs as the unique ID for Nigeria's monuments. If we need to reconsider this, please let me know.

Sorry for the delay in replying. I can see no reason for why this shouldn't work. If you add the Qids as a parameter in the structured list/template (e.g. wd_item) then the bot can pick it up and use it for both unique id and Wikidata connection.

@JeanFred do you see any problems with this approach?

@Lokal_Profil We are going to proceed with the Wikidata Q IDs as the unique ID for Nigeria's monuments. If we need to reconsider this, please let me know.

Sorry for the delay in replying. I can see no reason for why this shouldn't work. If you add the Qids as a parameter in the structured list/template (e.g. wd_item) then the bot can pick it up and use it for both unique id and Wikidata connection.
@JeanFred do you see any problems with this approach?

I don’t. This all sounds good to me :)

LilyOfTheWest updated the task description. (Show Details)Aug 4 2016, 2:21 PM

@Lokal_Profil @JeanFred Thanks. We are good to go with Q IDs then.

Thanks for the help and assistance on this project.

See attached

, the list consist of our declared monuments with additional column for WD_Items.

Please note that the few items seen on Wikidata doesn't have correct "instance of"

Bets Regards.

LilyOfTheWest reassigned this task from Ozone73 to Romaine.Aug 6 2016, 6:27 AM

I have created all the items on Wikidata for each monument and added the most basic statements as a start

is now the new spreadheet.

For 3 monuments I still do not know what the monument is, building? rock formation? ...

  • Ita Iyemoja, Ile Ife
  • Gidan Madaki, Kafin Madaki
  • Omo Ukwu of Ndi Nzera Clan Asaga-Ohafia, Ohafia

Do you know what these monuments are?

LilyOfTheWest reassigned this task from Romaine to Ozone73.Aug 8 2016, 2:46 AM
LilyOfTheWest updated the task description. (Show Details)

@Ozone73 can you respond to Romaine's question above?

Dear Romaine

Thanks for your assistance.

The three Monuments are Buildings .

Best Regards.

LilyOfTheWest reassigned this task from Ozone73 to Romaine.Aug 10 2016, 4:40 AM

@Romaine let's go ahead and create the template? :)

Dear All

Trust you are fine.

Any updates on the template?

Best Regards

The three Monuments are Buildings .

Okay, I modified this in Wikidata.

With checking the list:
https://en.wikipedia.org/wiki/National_Commission_for_Museums_and_Monuments

I notice one place is in this Wikipedia list but not in the provided spreadsheet. Where does it come from and what should we do with it? Is it a monument?

It concerns:

  • Iwo Eleru Cave near Owo, Ondo State
Romaine added a comment.EditedAug 18 2016, 4:08 AM

Table created!

https://en.wikipedia.org/wiki/National_Commission_for_Museums_and_Monuments

Things to do:

  • Check if there already images exist and add them to rows without an image.
  • Check if there is already a category on Commons for this monument. If yes: add the category name (without prefix Category:) to the table, so that images of that monument directly are uploaded to the right category.
  • Add more data to the table, including what the coordinates are of the monuments.
  • Each monument can also get an article itself on Wikipedia.

(And yes, you now get a red warning if you try the upload link, but that will I solve soon.)

Hi Romaine,

Trust you are fine. Thank you for this great work.

I noticed that the site it's part of the declared monument.

Please, we will need to add it.

Best

LilyOfTheWest closed this task as Resolved.Aug 22 2016, 4:41 PM